Bulk update calendar days
curl --request POST \
--url https://api.alpha-1edtech.ai/calendar/orgs/{orgSourcedId}/days/bulk-update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "<string>",
"endDate": "<string>",
"updates": {
"isInstructionalDay": true,
"instructionalMinutes": 240,
"sessionSourcedId": "<string>",
"metadata": {}
}
}
'import requests
url = "https://api.alpha-1edtech.ai/calendar/orgs/{orgSourcedId}/days/bulk-update"
payload = {
"startDate": "<string>",
"endDate": "<string>",
"updates": {
"isInstructionalDay": True,
"instructionalMinutes": 240,
"sessionSourcedId": "<string>",
"metadata": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '<string>',
endDate: '<string>',
updates: {
isInstructionalDay: true,
instructionalMinutes: 240,
sessionSourcedId: '<string>',
metadata: {}
}
})
};
fetch('https://api.alpha-1edtech.ai/calendar/orgs/{orgSourcedId}/days/bulk-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedCount": 123,
"message": "<string>"
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Calendar Days
Bulk update calendar days
Update multiple calendar days in a date range with the same properties. Useful for marking breaks, holidays, or other multi-day events.
POST
/
calendar
/
orgs
/
{orgSourcedId}
/
days
/
bulk-update
Bulk update calendar days
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization (school) sourcedId
Body
application/json
⌘I